# DetermineNodeConnections(string\[])

Method in [Utility](/3.1/api/csharp/yarn.compiler/yarn.compiler.utility.md)

## Summary

Finds and collates every jump in every node.

```csharp
public static List<List<GraphingNode>> DetermineNodeConnections(string[] YarnFileContents)
```

## Parameters

| Name                        | Description                                           |
| --------------------------- | ----------------------------------------------------- |
| `string[]` YarnFileContents | The collection of yarn file content to parse and walk |

## Returns

A list of lists of GraphingNode each containing a node, its jumps, and any positional info.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.compiler/yarn.compiler.utility/yarn.compiler.utility.determinenodeconnections.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
